#include <bits/stdc++.h>
using namespace std;
int main()
{
	ifstream fi("tansuat.inp");
	ofstream fo("tansuat.out");
	int n;
	fi>>n;
	int a[n];
	for(int i=0;i<n;i++)
	{
		fi>>a[i];
	}
	int tg;
	for(int i=0;i<n-1;i++)
	{
		for(int j=i+1;j<n;j++)
		{
			if(a[i]>a[j])
			{
				tg=a[i];
				a[i]=a[j];
				a[j]=tg;
			}
		}
	}
	int dempt=0;
	for (int i=0;i<n;i++)
	{
		int dem=1;
		for(int j=i+1;j<n;j++)
		{
			if(a[j]==a[i])
			{
				dem++;
				for(int k=j;k<n-1;k++)
				{
					a[k]=a[k+1];
				}
				n--;
			}
		}
		if (dem>1)
		{
			dempt++;
			fo<<a[i]<<' '<<dem<<endl;
		}
	}
	if(dempt==0)
	{
		fo<<0;
	}
}
